edu.isi.pegasus.planner.parser

## Class ParserStackElement

- java.lang.Object
- - edu.isi.pegasus.planner.parser.ParserStackElement

    public class ParserStackElement
    extends java.lang.Object

This class keeps the name of an element and its corresponding java object reference. The structure is used by the stack in `SiteCatalogParser`.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`private java.lang.String` `mElement`
`private java.lang.Object` `mObject`

### Constructor Summary

Constructors
Constructor and Description
`ParserStackElement(java.lang.String name, java.lang.Object obj)` The overloaded constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getElementName()` Returns the element name.
`java.lang.Object` `getElementObject()` Returns the object referred to by the element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mElement

    private java.lang.String mElement

#### mObject

    private java.lang.Object mObject

### Constructor Detail

#### ParserStackElement

    public ParserStackElement(java.lang.String name,
                              java.lang.Object obj)

The overloaded constructor

Parameters:
  `name` -
  `obj` -

### Method Detail

#### getElementName

    public java.lang.String getElementName()

Returns the element name.

Returns:
  name

#### getElementObject

    public java.lang.Object getElementObject()

Returns the object referred to by the element.

Returns:
  the object